// Copyright 2026 The Chromium Authors
// Use of this source code is governed by a BSD-style license that can be
// found in the LICENSE file.
import '//resources/cr_elements/cr_icon/cr_icon.js';
import { CrLitElement } from '//resources/lit/v3_0/lit.rollup.js';
import { getCss } from './power_bookmarks_add_folder_button.css.js';
import { getHtml } from './power_bookmarks_add_folder_button.html.js';
export class PowerBookmarksAddFolderButtonElement extends CrLitElement {
    static get is() {
        return 'power-bookmarks-add-folder-button';
    }
    static get styles() {
        return getCss();
    }
    render() {
        return getHtml.bind(this)();
    }
    static get properties() {
        return {
            disabled: { type: Boolean },
            compact: { type: Boolean },
        };
    }
    #disabled_accessor_storage = false;
    get disabled() { return this.#disabled_accessor_storage; }
    set disabled(value) { this.#disabled_accessor_storage = value; }
    #compact_accessor_storage = false;
    get compact() { return this.#compact_accessor_storage; }
    set compact(value) { this.#compact_accessor_storage = value; }
}
customElements.define(PowerBookmarksAddFolderButtonElement.is, PowerBookmarksAddFolderButtonElement);
